## ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_resources_prbt_ikfast_manipulator_plugin)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_EXTENSIONS OFF)

if(NOT WIN32)
  add_compile_options(-Wall)
  add_compile_options(-Wextra)
  add_compile_options(-Wno-unused-variable)
endif()

# enable aligned new in gcc7+
if(CMAKE_COMPILER_IS_GNUCXX)
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -faligned-new")
  endif()
endif()

find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2_kdl REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(tf2_eigen_kdl REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)

include_directories(include)

add_library(prbt_manipulator_moveit_ikfast_plugin SHARED
  src/prbt_manipulator_ikfast_moveit_plugin.cpp)

if(NOT WIN32)
  # suppress warnings about unused variables in OpenRave's solver code
  target_compile_options(prbt_manipulator_moveit_ikfast_plugin PRIVATE -Wno-unused-variable)
endif()
ament_target_dependencies(prbt_manipulator_moveit_ikfast_plugin
  moveit_core
  pluginlib
  rclcpp
  tf2_kdl
  tf2_eigen
  tf2_eigen_kdl
  tf2_geometry_msgs
)

pluginlib_export_plugin_description_file(moveit_core prbt_manipulator_moveit_ikfast_plugin_description.xml)

install(
  TARGETS prbt_manipulator_moveit_ikfast_plugin
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

ament_package()

=== debian/changelog ===
ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.5.5-1jammy) jammy; urgency=high

  * Used C++ style casting for int type (backport #1627 <https://github.com/ros-planning/moveit2/issues/1627>) (#1819 <https://github.com/ros-planning/moveit2/issues/1819>)
    (cherry picked from commit 1f32ab0e43f488e9c5bd1957c7677e302c406df0)
    Co-authored-by: Abhijeet Das Gupta <mailto:75399048+abhijelly@users.noreply.github.com>
  * Add -Wunused-parameter (#1756 <https://github.com/ros-planning/moveit2/issues/1756>) (#1757 <https://github.com/ros-planning/moveit2/issues/1757>)
    (cherry picked from commit be474ec5ba6d0210379d009d518bdd631cc46ad9)
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Contributors: mergify[bot]

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.5.4-1jammy) jammy; urgency=high

  * Use pragma once as header include guard (#1525 <https://github.com/ros-planning/moveit2/issues/1525>) (#1652 <https://github.com/ros-planning/moveit2/issues/1652>)
    (cherry picked from commit 7d758de1b2f2904b8c85520129fa8d48aad93713)
    Co-authored-by: J. Javan <mailto:J-Javan@users.noreply.github.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: mergify[bot]

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.5.3-1jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.5.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: David V. Lu, Henry Moore, Jafar

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.5.1-1jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.5.0-1jammy) jammy; urgency=high

  * Fix prbt_ikfast win compilation (#1161 <https://github.com/ros-planning/moveit2/issues/1161>)
  * Remove new operators (#1135 <https://github.com/ros-planning/moveit2/issues/1135>)
    replace new operator with make_shared
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: Cory Crean, Sencer Yazıcı, Tobias Fischer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.4.0-1jammy) jammy; urgency=high

  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * Contributors: Stephanie Eng

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 19 Jan 2022 23:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.3.2-1jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 28 Dec 2021 23:00:00 -0000

ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin (2.3.1-1jammy) jammy; urgency=high

  * Bump new packages to 2.3.0
  * Add PRBT test dependencies for PILZ planner (#909 <https://github.com/ros-planning/moveit2/issues/909>)
    * Adding PRBT config
    * Port prbt packages to ROS 2
    * Move PRBT into test_configs directory
    * Fix pre-commit for pilz test_config
    * Revert "Docker - Temporarily move moveit_resources under target workspace due to #885 <https://github.com/ros-planning/moveit2/issues/885> (#915 <https://github.com/ros-planning/moveit2/issues/915>)"
    * Reset repos file entry for moveit_resources
    * prbt_support: drop all test code
    Co-authored-by: Christian Henkel <mailto:post@henkelchristian.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Henning Kayser, Tyler Weaver
  * initial commit from upstream PilzDE/pilz_robots version 0.5.19 (2020-09-07)

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 22 Dec 2021 23:00:00 -0000

=== debian/control ===
Source: ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-moveit-core, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-tf2-eigen, ros-humble-tf2-eigen-kdl, ros-humble-tf2-geometry-msgs, ros-humble-tf2-kdl, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-moveit-core, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-tf2-geometry-msgs, ros-humble-tf2-kdl, ros-humble-ros-workspace
Description: The prbt_ikfast_manipulator_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-resources-prbt-ikfast-manipulator-plugin//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
